Неправильный алгоритм 0x80090008

В последнее время, среди владельцев Электронных подписей стали появляться случаи возникновения ошибки: Неправильный алгоритм 0x80090008. Также данная ошибка может звучать как: "Ошибка вычисления подписи: Invalid algorithm specified. (0x80090008)".

В русском переводе ошибка звучит как: Неправильный алгоритм 0x80090008 . Данная проблема чаще бывает на тех компьютерах, где долгое время не обновлялся Криптопровайдер. Мы рассмотрим самый популярный Криптопровайдер - CryptoPro CSP. Одной из популярнейших версий этого криптопровайдера была версия 3.6, позже ей на смену пришла версия 3.9. До недавнего времени работа с такими версиями не вызывала проблем и пользователи не знали о существовании ошибки - Неправильный алгоритм 0x80090008.

Неправильный алгоритм 0x80090008

Однако с появление новых требований к информационной безопасности и переходе на новый ГОСТ по шифрованию данных, появилась потребности в обновлении версии КриптоПро CSP до 4.0 . В данную версию была добавлена поддержка необходимых технических требований предъявляемых в рамках законодательства к работе с Электронной подписью.

Именно с изменением требований к криптопровайдеру, а в частности и к используемым алгоритмам криптографии и связана ошибка 0x80090008 Неправильный алгоритм.

Как избавиться от ошибки: Неправильный алгоритм 0x80090008

И так, мы определили, что данная ошибка появляется у пользователей старых версий Крипто Про CSP. Данная ошибка чаще всего связана с устаревшей версией установленного криптопровайдера Crypto Pro CSP. Для устранения ошибки 0x80090008 мы рекомендуем установить версию КриптоПро CSP 4.0 и выше. И если установлен КриптоПро ЭЦП Browser plug-in также переустановить этот плагин.

Обновление версии Крипто Про может происходить поверх установленной старой версии. То есть, не нужно сначала удалять старую версию Крипто Про, а потом ставить новую версию Крипто Про 4.0. Также мы рекомендуем обновить все плагины использующие возможности Криптопровайдера. Обратите внимание, что некоторые торговые площадки и ведомственные порталы используют свои плагины по работе с криптографией, которые также нужно обновлять при наличии таких уведомлений.

Версии Crypto Pro CSP начиная с 4.0 уже поддерживают работу по актуальным алгоритмам шифрования. После обновления Крипто Про может потребоваться перезапуск вашей операционной системы.

Скачать КриптоПро CSP 4.0 вы можете на ссылке: Программы для работы с Электронной Подписью (ЭЦП).

оценка: 
0
Голосов пока нет